import { DeleteUserUseCase } from "@/contexts/users/application";
import { IUserContext } from "../../../User.context";
import { registerUserRepository } from "../../../User.repository";
import { DeleteUserController } from "./DeleteUser.controller";

export const createDeleteUserController = (context: IUserContext) => {
  registerUserRepository(context);
  return new DeleteUserController(
    {
      useCase: new DeleteUserUseCase(context),
    },
    context,
  );
};
